View Issue Details

IDProjectCategoryLast Update
0023670AI War 2[All Projects] Bug - GameplaySep 14, 2020 11:42 am
ReportercrawlersAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 2.134 Searching For Planets 
Fixed in Version2.504 Clarity And Fair Play 
Summary0023670: Ship is regenerating while being shot at
DescriptionAn exowar phoenix on Mullum is being shot at by counter-snipe turrets, but is regenerating shields while taking fire. I suspect this is because its allies outnumber local forces by quite a bit (2.31k strength vs 134) combined with the recent changes. I think ships that have been shot at in such circumstances should still gain some delay before their shields begin regenerating.

Note: the save uses civilian industries, but this shouldn't have any impact.
TagsNo tags attached.

Relationships

has duplicate 0023708 resolvedx4000Bughunter Thunderchild Regenerating childs while being hit 
related to 0023715 resolvedx4000Bughunter The "repair when drastically outnumber" skews deep strike raiding and exo-war unit balance (and possibly more) 

Activities

crawlers

Sep 8, 2020 1:38 pm

reporter  

10_24_regen.save (3,788,292 bytes)
10_24_regen.savemet (80 bytes)

crawlers

Sep 8, 2020 1:55 pm

reporter   ~0058404

Another save, with a flenser at Schaard. It is immune to attrition from anything that has less than 1.4k strength and can't pierce shields.

10_25_regen.savemet (80 bytes)
10_25_regen.save (3,867,172 bytes)

BadgerBadger

Sep 8, 2020 5:02 pm

manager   ~0058406

Last edited: Sep 8, 2020 5:03 pm

View 2 revisions

Wait, why isn't it okay if the AI is able to repair things when they outnumber their enemies, if the player is allowed to do it?

I think if your engineers were repairing a golem of yours under similar circumstances, noone would bat an eye.

crawlers

Sep 8, 2020 8:53 pm

reporter   ~0058407

I don't believe those comparisons are exactly the same, but I do hear you. I speak of the 3% shield regeneration rather than external repair that goes along a limited rate - fixing a golem is slow, 3% shield regen on an exowar ship gets really wild, often millions of shield per second. This isn't an issue for smaller ships since they have rather low shields and percent regen isn't so powerful there.

Say the AI somehow brought in a bunch of repair units to fix that ship like the player can. It would be manageable since the repair rate wouldn't be absolutely absurd and I could do something about the repair ships.

x4000Bughunter

Sep 14, 2020 11:42 am

administrator   ~0058500

Thanks!

* On September 6, we added the following: "QoL tweak for repair. Any ships on a planet where you outnumber the enemies 10 to 1, or the enemies have less that .2 strength are eligible to be repaired immediately. The previous rule was 'Any ships on a planet without enemies'"
** This now only applies to ships and structures of factions that are friendly to the humans. Any neutral or enemy factions will now use the old style of logic that existed prior to September 6th.
** This prevents the AI and Exos in particular from developing invincible shields when they have overwhelming firepower against you, among some other unintended consequences.

Issue History

Date Modified Username Field Change
Sep 8, 2020 1:38 pm crawlers New Issue
Sep 8, 2020 1:38 pm crawlers File Added: 10_24_regen.save
Sep 8, 2020 1:38 pm crawlers File Added: 10_24_regen.savemet
Sep 8, 2020 1:55 pm crawlers File Added: 10_25_regen.save
Sep 8, 2020 1:55 pm crawlers File Added: 10_25_regen.savemet
Sep 8, 2020 1:55 pm crawlers Note Added: 0058404
Sep 8, 2020 5:02 pm BadgerBadger Note Added: 0058406
Sep 8, 2020 5:03 pm BadgerBadger Note Edited: 0058406 View Revisions
Sep 8, 2020 8:53 pm crawlers Note Added: 0058407
Sep 12, 2020 2:41 pm crawlers Relationship added has duplicate 0023708
Sep 12, 2020 8:09 pm Ovalcircle Relationship added related to 0023715
Sep 14, 2020 11:42 am x4000Bughunter Assigned To => x4000Bughunter
Sep 14, 2020 11:42 am x4000Bughunter Status new => resolved
Sep 14, 2020 11:42 am x4000Bughunter Resolution open => fixed
Sep 14, 2020 11:42 am x4000Bughunter Fixed in Version => 2.504 Clarity And Fair Play
Sep 14, 2020 11:42 am x4000Bughunter Note Added: 0058500